<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: framework::core::I2cPort Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1core_1_1_i2c_port.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classframework_1_1core_1_1_i2c_port-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::core::I2cPort Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p>Base class for i2c port.  
 <a href="classframework_1_1core_1_1_i2c_port.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_i2c_port_8h_source.html">I2cPort.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for framework::core::I2cPort:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classframework_1_1core_1_1_i2c_port.png" usemap="#framework::core::I2cPort_map" alt=""/>
  <map id="framework::core::I2cPort_map" name="framework::core::I2cPort_map">
<area href="classframework_1_1core_1_1_mutex.html" title="Class defining a mutex. " alt="framework::core::Mutex" shape="rect" coords="100,56,291,80"/>
<area href="classframework_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="framework::core::Object" shape="rect" coords="100,0,291,24"/>
<area href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html" title="Class for real time i2c port using RTDM. " alt="framework::core::RTDM_I2cPort" shape="rect" coords="0,168,191,192"/>
<area href="classframework_1_1core_1_1_unix___i2c_port.html" title="Class for unix serial port. " alt="framework::core::Unix_I2cPort" shape="rect" coords="201,168,392,192"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:adb614ecad333c8cd4fced2060150d932"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i2c_port.html#adb614ecad333c8cd4fced2060150d932">I2cPort</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent, std::string name)</td></tr>
<tr class="memdesc:adb614ecad333c8cd4fced2060150d932"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#adb614ecad333c8cd4fced2060150d932">More...</a><br /></td></tr>
<tr class="separator:adb614ecad333c8cd4fced2060150d932"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcb3da86655934776367d302384ad812"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i2c_port.html#abcb3da86655934776367d302384ad812">~I2cPort</a> ()</td></tr>
<tr class="memdesc:abcb3da86655934776367d302384ad812"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#abcb3da86655934776367d302384ad812">More...</a><br /></td></tr>
<tr class="separator:abcb3da86655934776367d302384ad812"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ef066a2a9156905d7b12e0d900ffa0b"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i2c_port.html#a3ef066a2a9156905d7b12e0d900ffa0b">SetSlave</a> (uint16_t address)=0</td></tr>
<tr class="memdesc:a3ef066a2a9156905d7b12e0d900ffa0b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set slave's address.  <a href="#a3ef066a2a9156905d7b12e0d900ffa0b">More...</a><br /></td></tr>
<tr class="separator:a3ef066a2a9156905d7b12e0d900ffa0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ee71b330b588cf88049a133a1a6d35f"><td class="memItemLeft" align="right" valign="top">virtual ssize_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i2c_port.html#a6ee71b330b588cf88049a133a1a6d35f">Write</a> (const void *buf, size_t nbyte)=0</td></tr>
<tr class="memdesc:a6ee71b330b588cf88049a133a1a6d35f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write datas.  <a href="#a6ee71b330b588cf88049a133a1a6d35f">More...</a><br /></td></tr>
<tr class="separator:a6ee71b330b588cf88049a133a1a6d35f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bd4f4c98dd89942bd41a48d4fb76c4c"><td class="memItemLeft" align="right" valign="top">virtual ssize_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i2c_port.html#a0bd4f4c98dd89942bd41a48d4fb76c4c">Read</a> (void *buf, size_t nbyte)=0</td></tr>
<tr class="memdesc:a0bd4f4c98dd89942bd41a48d4fb76c4c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read datas.  <a href="#a0bd4f4c98dd89942bd41a48d4fb76c4c">More...</a><br /></td></tr>
<tr class="separator:a0bd4f4c98dd89942bd41a48d4fb76c4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ff1c3138167bb34dd4760d7b06b21e4"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i2c_port.html#a2ff1c3138167bb34dd4760d7b06b21e4">SetRxTimeout</a> (<a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a> timeout_ns)=0</td></tr>
<tr class="memdesc:a2ff1c3138167bb34dd4760d7b06b21e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set RX timeout.  <a href="#a2ff1c3138167bb34dd4760d7b06b21e4">More...</a><br /></td></tr>
<tr class="separator:a2ff1c3138167bb34dd4760d7b06b21e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9012d7f76d9987b67e7dceb51a006d5"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i2c_port.html#ab9012d7f76d9987b67e7dceb51a006d5">SetTxTimeout</a> (<a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a> timeout_ns)=0</td></tr>
<tr class="memdesc:ab9012d7f76d9987b67e7dceb51a006d5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set TX timeout.  <a href="#ab9012d7f76d9987b67e7dceb51a006d5">More...</a><br /></td></tr>
<tr class="separator:ab9012d7f76d9987b67e7dceb51a006d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_mutex"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_mutex')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_mutex.html">framework::core::Mutex</a></td></tr>
<tr class="memitem:aa003ee75f09b85ecb182a135a42a739e inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_mutex.html#aa003ee75f09b85ecb182a135a42a739e">Mutex</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent, std::string name=&quot;&quot;)</td></tr>
<tr class="memdesc:aa003ee75f09b85ecb182a135a42a739e inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aa003ee75f09b85ecb182a135a42a739e">More...</a><br /></td></tr>
<tr class="separator:aa003ee75f09b85ecb182a135a42a739e inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a67ec45af9ba25a8a885d8473c9ae65 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_mutex.html#a3a67ec45af9ba25a8a885d8473c9ae65">~Mutex</a> ()</td></tr>
<tr class="memdesc:a3a67ec45af9ba25a8a885d8473c9ae65 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a3a67ec45af9ba25a8a885d8473c9ae65">More...</a><br /></td></tr>
<tr class="separator:a3a67ec45af9ba25a8a885d8473c9ae65 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4eb4450c5af21f4ba6c16b2a58e7d0e4 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_mutex.html#a4eb4450c5af21f4ba6c16b2a58e7d0e4">GetMutex</a> (void) const </td></tr>
<tr class="memdesc:a4eb4450c5af21f4ba6c16b2a58e7d0e4 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">GetMutex.  <a href="#a4eb4450c5af21f4ba6c16b2a58e7d0e4">More...</a><br /></td></tr>
<tr class="separator:a4eb4450c5af21f4ba6c16b2a58e7d0e4 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a747027e52ff793c20016eb82b3a242e2 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_mutex.html#a747027e52ff793c20016eb82b3a242e2">ReleaseMutex</a> (void) const </td></tr>
<tr class="memdesc:a747027e52ff793c20016eb82b3a242e2 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">ReleaseMutex.  <a href="#a747027e52ff793c20016eb82b3a242e2">More...</a><br /></td></tr>
<tr class="separator:a747027e52ff793c20016eb82b3a242e2 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a97617b01df8aedc07b2ba46ef4988994">Object</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a97617b01df8aedc07b2ba46ef4988994">More...</a><br /></td></tr>
<tr class="separator:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">~Object</a> ()</td></tr>
<tr class="memdesc:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac934815b59eb1cf1a47bdb114fa86da0">More...</a><br /></td></tr>
<tr class="separator:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ae19cf04d95b4cabb8c6064375b15337f">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#ae19cf04d95b4cabb8c6064375b15337f">More...</a><br /></td></tr>
<tr class="separator:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a49660b572cdbedc6a665d5d396ed00a1">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a49660b572cdbedc6a665d5d396ed00a1">More...</a><br /></td></tr>
<tr class="separator:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a8dda2eca639eb56bb2c3f26de04f2678">Parent</a> (void) const </td></tr>
<tr class="memdesc:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a8dda2eca639eb56bb2c3f26de04f2678">More...</a><br /></td></tr>
<tr class="separator:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a7fb6234586cd406b3bea93aadf01ba16">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#a7fb6234586cd406b3bea93aadf01ba16">More...</a><br /></td></tr>
<tr class="separator:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aee8de0c31d51e165fed466a4c8bcf6c4">Childs</a> (void) const </td></tr>
<tr class="memdesc:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#aee8de0c31d51e165fed466a4c8bcf6c4">More...</a><br /></td></tr>
<tr class="separator:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aec1974099e78e731ba9c3dd1ed05de94">Information</a> (const char *function, int line, const char *format,...) const </td></tr>
<tr class="memdesc:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted information.  <a href="#aec1974099e78e731ba9c3dd1ed05de94">More...</a><br /></td></tr>
<tr class="separator:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#abb73af04b52a2ba67a2d2ce1a74330a2">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#abb73af04b52a2ba67a2d2ce1a74330a2">More...</a><br /></td></tr>
<tr class="separator:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a6f48a765168b2fe4a629234e0b778559">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a6f48a765168b2fe4a629234e0b778559">More...</a><br /></td></tr>
<tr class="separator:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a56a6221f2ce124d7c53b15a423a47b08">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a56a6221f2ce124d7c53b15a423a47b08">More...</a><br /></td></tr>
<tr class="separator:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7201b52b50f64586d1ea82cc1f6a2e6f"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>color_t</b> { <b>Auto</b> =0, 
<b>Red</b> =31, 
<b>Green</b> =32, 
<b>Orange</b> =33
 }</td></tr>
<tr class="separator:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Base class for i2c port. </p>
<p>This class has a <a class="el" href="classframework_1_1core_1_1_mutex.html" title="Class defining a mutex. ">Mutex</a> which must be used to protect access to the port in case that more than one <a class="el" href="classframework_1_1core_1_1_thread.html" title="Abstract class for a thread. ">Thread</a> is using it. Lock the <a class="el" href="classframework_1_1core_1_1_mutex.html" title="Class defining a mutex. ">Mutex</a> before any communication (including SetSlave) and release it after communication. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="adb614ecad333c8cd4fced2060150d932"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">framework::core::I2cPort::I2cPort </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct an i2c port.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">parent</td><td>parent </td></tr>
    <tr><td class="paramname">name</td><td>name </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="abcb3da86655934776367d302384ad812"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">framework::core::I2cPort::~I2cPort </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a3ef066a2a9156905d7b12e0d900ffa0b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual int framework::core::I2cPort::SetSlave </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>address</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set slave's address. </p>
<p>This function need to be called before any communication.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">address</td><td>slave's address </td></tr>
  </table>
  </dd>
</dl>

<p>Implemented in <a class="el" href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html#a22c6f1746ef7820244c6a81e9e024d09">framework::core::RTDM_I2cPort</a>, and <a class="el" href="classframework_1_1core_1_1_unix___i2c_port.html#a71262fcedcd357514ae302af6323f73a">framework::core::Unix_I2cPort</a>.</p>

</div>
</div>
<a class="anchor" id="a6ee71b330b588cf88049a133a1a6d35f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual ssize_t framework::core::I2cPort::Write </td>
          <td>(</td>
          <td class="paramtype">const void *&#160;</td>
          <td class="paramname"><em>buf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>nbyte</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Write datas. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">buf</td><td>pointer to datas </td></tr>
    <tr><td class="paramname">nbyte</td><td>length of datas</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>amount of written datas </dd></dl>

<p>Implemented in <a class="el" href="classframework_1_1core_1_1_unix___i2c_port.html#a7452b5dbabdbe12b05ebfdcc953690c2">framework::core::Unix_I2cPort</a>, and <a class="el" href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html#a6f62a3ad26ae32ed4be7908b8e40b17b">framework::core::RTDM_I2cPort</a>.</p>

</div>
</div>
<a class="anchor" id="a0bd4f4c98dd89942bd41a48d4fb76c4c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual ssize_t framework::core::I2cPort::Read </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>buf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>nbyte</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Read datas. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">buf</td><td>pointer to datas </td></tr>
    <tr><td class="paramname">nbyte</td><td>length of datas</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>amount of read datas </dd></dl>

<p>Implemented in <a class="el" href="classframework_1_1core_1_1_unix___i2c_port.html#a1dbddcf0ce0237295efffc698b9cbea5">framework::core::Unix_I2cPort</a>, and <a class="el" href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html#aad068f789a4622827c46b5ac5b9cc2e0">framework::core::RTDM_I2cPort</a>.</p>

</div>
</div>
<a class="anchor" id="a2ff1c3138167bb34dd4760d7b06b21e4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void framework::core::I2cPort::SetRxTimeout </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a>&#160;</td>
          <td class="paramname"><em>timeout_ns</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set RX timeout. </p>
<p>Timeout for waiting an ACK from the slave.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">timeout_ns</td><td>timeout in nano second </td></tr>
  </table>
  </dd>
</dl>

<p>Implemented in <a class="el" href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html#a7a0fe5bbfcd26dbf3b13793397c7e73a">framework::core::RTDM_I2cPort</a>, and <a class="el" href="classframework_1_1core_1_1_unix___i2c_port.html#aca4dfe84f9c9a4fcc64d543cd54135ab">framework::core::Unix_I2cPort</a>.</p>

</div>
</div>
<a class="anchor" id="ab9012d7f76d9987b67e7dceb51a006d5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void framework::core::I2cPort::SetTxTimeout </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a>&#160;</td>
          <td class="paramname"><em>timeout_ns</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set TX timeout. </p>
<p>Timeout for waiting an ACK from the slave.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">timeout_ns</td><td>timeout in nano second </td></tr>
  </table>
  </dd>
</dl>

<p>Implemented in <a class="el" href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html#a92600ff5d78fff644bfcc65855d41a66">framework::core::RTDM_I2cPort</a>, and <a class="el" href="classframework_1_1core_1_1_unix___i2c_port.html#a600e9f8e878961e775e215ab52d3ec34">framework::core::Unix_I2cPort</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><a class="el" href="namespaceframework_1_1core.html">core</a></li><li class="navelem"><a class="el" href="classframework_1_1core_1_1_i2c_port.html">I2cPort</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
